-- Lets you turn off symbol arts
rawset(_G, "cv_sa", CV_RegisterVar({
	name = "symbolarts",
	defaultvalue = "On",
	PossibleValue = CV_OnOff,
}))

-- Lets you turn off symbol art sounds
rawset(_G, "cv_sa_sounds", CV_RegisterVar({
	name = "sa_sounds",
	defaultvalue = "On",
	PossibleValue = CV_OnOff,
}))

-- Controls how long you need to send before another symbol art
rawset(_G, "cv_sa_delay", CV_RegisterVar({
	name = "sa_delay",
	defaultvalue = TICRATE,
	flags = CV_NETVAR,
	PossibleValue = CV_Unsigned,
}))

-- configuration thinkframe
local configname = "symbolarts.cfg"
local loaded = false

-- store commands, we'll iterate through this to create a config if necessary
local commands = {
	{cv_sa, "Toggles symbol arts on/off"}, 
	{cv_sa_sounds, "Toggles symbol art sounds on/off"}
}

addHook("ThinkFrame", do
	if (loaded) then return end
	if not (consoleplayer and consoleplayer.valid) then return end
	
	-- create/load the config!
	local config = io.openlocal("client/"..configname, "r")
	if not (config)	-- no config? create one.
		config = io.openlocal("client/"..configname, "w")	-- create it.
			
		-- write all our defaults to it.
		for i = 1, #commands
			local command = commands[i][1]
			local command_desc = commands[i][2]
				
			config:write(command.name.." "..command.defaultvalue.." // "..command_desc.."\n")
		end
		
		CONS_Printf(consoleplayer, "\x83NOTICE:\x80 "..configname.." not found, created a config in \x82/luafiles\x80.")
	else	-- we got a config, load it!
		for line in config:lines()
			COM_BufInsertText(consoleplayer, line)
		end
		CONS_Printf(consoleplayer, "\x83NOTICE:\x80 Successfully loaded "..configname.."!")
	end
	config:close()
		
	-- set this to true, we dont wanna do this again.
	loaded = true
end)